<?php
include("../config.php");
require "class.upload.php";
// $user_token = $_COOKIE['user_cookies'];
// $myUser = $db->query("SELECT * FROM kullanicilar WHERE userCookie = '$user_token'")->fetch(PDO::FETCH_ASSOC);
// $userid = $myUser['id'];
// $eskiresim = $myUser['profilresmi'];
$anadizin = $_SERVER['DOCUMENT_ROOT'];

$userid = 100000;

if($_FILES['resim']['type']=="image/webp" OR $_FILES['resim']['type']=="image/heic"){

  $array = array("result" => "0");
  echo json_encode($array); 
  exit;

}


        $image = new Upload($_FILES['resim']);
    if ( $image->uploaded ) {
        // resmi yeniden adlandıralım
        $image->file_new_name_body = md5($userid.rand(100000000,999999999));
        // resmi jpg formatına convert edelim
        $image->image_convert = 'jpg';

        /**
         * Resmi Farklı Boyutta Kayıt Et
         */
        // yeniden farklı boyutta kayıt et (200x100)
        $image->image_resize          = true;
        $image->image_x              = 1000;
        $image->image_ratio_y        = true;
        //$image->image_ratio_fill      = 'C';

        //$image->image_background_color = '#FFF';
        // sadece resim formatları yüklensin
        $image->allowed = array ( 'image/*' );

        // upload klasörüne değişiklik yapmadan kayıt et
        $image->Process( 'upload/send/' );
        
        if ( $image->processed ) {


  $array = array("result" => "1", "resimLink" => "/assets/upload/send/".$image->file_dst_name);
  echo json_encode($array); // giriş başarılı

        } else {
  $array = array("result" => "0");
  echo json_encode($array); // giriş başarısız
        }
    }else{
      $array = array("result" => $image->error);
  echo json_encode($array);
    }

    

## Resmimizin Adını Alalım


?>

